package cn.base.conf;

public class Ditu extends NodeHome{

	private String mapServer;
	private String mapUrl;
	private String mapLevel;
	private String mapLayersNum;
	private String mapResolution;
	private String jd;
	private String wd;
	private String mapUseName;
	private String customizationMap;
	private String pictureMap;
	private String picture_roadMap;
	private String picture_vectorMap;
	private String mapType;
	private String mapMinLevel;
	private String mapMaxLevel;
	private String mapMergeLevel;
	
	
	public void fillField(){
		for(int i=0;i<this.getList().size();i++){
			String name=this.getList().get(i).getName();
			String value=this.getList().get(i).getValue();
			if(name.equalsIgnoreCase("mapUrl")==true)this.mapUrl = value;
			if(name.equalsIgnoreCase("mapLevel")==true)this.mapLevel = value;
			if(name.equalsIgnoreCase("mapLayersNum")==true)this.mapLayersNum = value;
			if(name.equalsIgnoreCase("mapResolution")==true)this.mapResolution = value;
			if(name.equalsIgnoreCase("jd")==true)this.jd = value;
			if(name.equalsIgnoreCase("wd")==true)this.wd = value;
			if(name.equalsIgnoreCase("mapUseName")==true)this.mapUseName = value;
			if(name.equalsIgnoreCase("customizationMap")==true)this.customizationMap = value;
			if(name.equalsIgnoreCase("pictureMap")==true)this.pictureMap = value;
			if(name.equalsIgnoreCase("picture_roadMap")==true)this.picture_roadMap = value;
			if(name.equalsIgnoreCase("picture_vectorMap")==true)this.picture_vectorMap = value;
			if(name.equalsIgnoreCase("mapType")==true)this.mapType = value;
			if(name.equalsIgnoreCase("mapMinLevel")==true)this.mapMinLevel = value;
			if(name.equalsIgnoreCase("mapMaxLevel")==true)this.mapMaxLevel = value;
			if(name.equalsIgnoreCase("mapMergeLevel")==true)this.mapMergeLevel = value;
			if(name.equalsIgnoreCase("mapServer")==true)this.mapServer = value;
			
		}
	}
	
	
	public String getMapServer() {
		return mapServer;
	}


	public void setMapServer(String mapServer) {
		this.mapServer = mapServer;
	}


	public String getMapUrl() {
		return mapUrl;
	}
	public void setMapUrl(String mapUrl) {
		this.mapUrl = mapUrl;
	}
	public String getMapLevel() {
		return mapLevel;
	}
	public void setMapLevel(String mapLevel) {
		this.mapLevel = mapLevel;
	}
	public String getMapLayersNum() {
		return mapLayersNum;
	}
	public void setMapLayersNum(String mapLayersNum) {
		this.mapLayersNum = mapLayersNum;
	}
	public String getMapResolution() {
		return mapResolution;
	}
	public void setMapResolution(String mapResolution) {
		this.mapResolution = mapResolution;
	}
	public String getPicture_roadMap() {
		return picture_roadMap;
	}

	public void setPicture_roadMap(String picture_roadMap) {
		this.picture_roadMap = picture_roadMap;
	}
	public String getJd() {
		return jd;
	}
	public void setJd(String jd) {
		this.jd = jd;
	}
	public String getWd() {
		return wd;
	}
	public void setWd(String wd) {
		this.wd = wd;
	}
	public String getMapUseName() {
		return mapUseName;
	}

	public void setMapUseName(String mapUseName) {
		this.mapUseName = mapUseName;
	}

	public String getCustomizationMap() {
		return customizationMap;
	}

	public void setCustomizationMap(String customizationMap) {
		this.customizationMap = customizationMap;
	}

	public String getMapType() {
		return mapType;
	}

	public void setMapType(String mapType) {
		this.mapType = mapType;
	}

	public String getMapMinLevel() {
		return mapMinLevel;
	}

	public void setMapMinLevel(String mapMinLevel) {
		this.mapMinLevel = mapMinLevel;
	}

	public String getMapMaxLevel() {
		return mapMaxLevel;
	}

	public void setMapMaxLevel(String mapMaxLevel) {
		this.mapMaxLevel = mapMaxLevel;
	}

	public String getMapMergeLevel() {
		return mapMergeLevel;
	}

	public void setMapMergeLevel(String mapMergeLevel) {
		this.mapMergeLevel = mapMergeLevel;
	}

	public String getPictureMap() {
		return pictureMap;
	}

	public void setPictureMap(String pictureMap) {
		this.pictureMap = pictureMap;
	}

	public String getPicture_vectorMap() {
		return picture_vectorMap;
	}

	public void setPicture_vectorMap(String picture_vectorMap) {
		this.picture_vectorMap = picture_vectorMap;
	}
	
}
